#############################################################################
# Configuration file for web500gw
# If no values are specified the compiled in values (config.h) will be used.
# -> Try web500gw -v to see them all
# !!! At least one entry for access and language are required!!!
#############################################################################

# Lines starting with # are comments and are ignored (like empty lines as well)
# Format is:   keyword: value
# Lines may be wrapped by adding a \

# Port for web500gw to listen on - may be overriden by flag -p
port: 8000

# LDAP server to contact, defaults to localhost - may be overriden by flag -x
ldapserver: mistral.dif.um.es

# LDAP port, defaults to 389 - may be overriden by flag -P
ldapport: 389

# Allow to use other LDAP servers which could be specified in the URL.
otherservers: yes

# Maximum timelimit for LDAP operations in seconds
timelimit: 240

# Maximum number of results when searched outside of homeDN. 
# Defaults to 0 = unlimited.
sizelimit: 100

# The default "Home-DN" for URLs "/M"
# may be specified for each ACCESS rule differently
homedn: dc=um, dc=es

# How to handle URL without DN? "on" means homedn, "off" is "X.500 root"
rootishome: on

# A DN to bind before doing anything
# may be specified for each ACCESS rule differently
web500dn: cn=root,dc=um,dc=es

# ... and the password for web500dn (simple auth)
web500pw: 

# monitordn: read this DN in a stats-request - maybe the SLAPD monitor
# experimental
monitordn: cn=monitor

# Dereferencing all alias entries during search - may be expensive ...
# Boolean value, accpets yes, on, true, 1 - Default is no
derefaliases: on

# Log all reqests via syslog facility local3.info
# Boolean value - Default is no
syslog: yes

# logformat - format of the loggin line per request
logformat:  %h "%r" %s %e "%a" %b %l "%f" %T %x

# Show the entry if a search finds one match
# Boolean value - Default is yes
showonematch: yes

# Try a UFN search if a search value contains a comma
# Boolean value - Default is yes
ufnsearch: on

# Send "Last-Modified:" HTTP header if entry has a "lastModifiedTime"
# attribute. Boolean value - Default is yes
lastmodified: off

# Send "Expire:" HTTP header: default: -1 == don't expire
# 0 == expire now (no caching), > 0 == expire after seconds
expires: 10

# etcdir - where are all the files located...
# etcdir: /etc/web500gw

# attrfile - the default name of the helpfile on attributes (for modify)
# filterfile - the default name of the search filter definitions
# friendlyfile - the default name of the friendly names definitions
# helpfile   - the default name of the helpfile (URL: /H)
# messagefile   - the default name of the messages file
# templatefile - the default name of the templatefile

g3togif: /usr/bin/g3togif
jpegtogif: /usr/bin/djpeg -gif

# if /"robots.txt" is requested, send this:
#robots: User-agent: *
Disallow: /

# don't allow to add more than maximum number of values for an attribute
# 0 = don't add any value, just modify existing values
# 1 = modify existing values and add one value to empty attributes
# n >1 = add max. n values to attributes
maxvalues: 5

# experimental WWW-X.500 switching (in DE)
# Boolean value - Default is off
gwswitch: off

# At least one ACCESS entry is required!
# Access control is dependent on the client host: Regexp. pattern
# what rights: read = read only attributes in template file
#              readall = read all attributes
#              full =   readall * modify
#              none = nothing
# what are the default values for language, Home-DN, Bind-DN...
# if left empty, the default values will be used
# access: Name : Pattern : rights : sizelimit : def-lang : Homedn : Bind_as : Bind-PW : suffix

access: local Test  : ^localhost$    : full : 100 : es :             : : : .internal
access: um          : .*\.um\.es$    : full : 100 : es : dc=um,dc=es : : : .internal
access: es          : .*\.es$        : read : 100 : es : dc=es       : : :
access: World       : .*             : read : 100 : es : /           : : :

# At least one language entry is required!
# Define languages:
# language: HTTP-Content-Language : pattern for Accept-Language : suffix for lang spec files 
language: es : es.* : .es
language: en : .* :
language: de : de.* : .de
language: fr : fr.* : .

# Browser dependent configuration
#browser: Name : User-Agent pattern : options : def. display flags : navigation 
#     options:   forms  = supports <FORM>  mailto = supp. mailto:-URLs
#                img    = inline images    table  = <TABLE>
#                html32 = all the above
#       flags:   Show entries / search results as
#                table   = tables <TABLE>  list = lists <DL>
#                oneline = compact values
#  navigation:   How/where navigation elements ("Go up" and search form)
#          where  top bottom = on top / bottom of page
#    how "Go up"  small = one line, RDNs as links
#                 list  = as <UL>, each RDNS as <LI>
#                 menu  = as selection menu <FORM><SELECT>...
#                 none  = no navigation elements
browser: Mozilla : Mozilla/* : html32           : table   : top,menu
browser: Lynx    : Lynx.*    : forms,mailto     : oneline : bottom,small
browser: Other   : .*        : forms,mailto,img : list    : top,list
